Subject: [bug#51198] [PATCH] gnu: Add b2sum.

From: Leo Famulari <[email-masked]>
Date: Wed, 1 Dec 2021 12:50:23 -0500

On Wed, Dec 01, 2021 at 04:34:09PM +0100, zimoun wrote:
> On Sat, 27 Nov 2021 at 18:32, Leo Famulari <[email-masked]> wrote:
> > * guix/build-system/gnu.scm (gnu-build, gnu-cross-build): Add #:local-build?
> > parameter and pass it to 'build-expression->derivation'.
> 
> The manual needs to be updated, I guess.  Something there:
> 
> <https://guix.gnu.org/manual/devel/en/guix.html#index-gnu_002dbuild_002dsystem>

Good idea, I'll send a revised patch series.

> This gnu-build-system triggers a world rebuild, isn’t it?  Maybe, it
> could go to core-updates-frozen now, no? (Now = before merge :-))

As far as I can tell, this does not change any derivations, except of
course if a package definition uses the new #:local-build? option. So it
should be okay for the master branch, if it's a change that we want to
make.